summaryrefslogtreecommitdiffstats
path: root/src/main/docker/scripts/zookeeper-ready.sh
diff options
context:
space:
mode:
authorsunil unnava <sunil.unnava@att.com>2018-11-21 18:01:23 -0500
committersunil unnava <sunil.unnava@att.com>2018-11-21 18:01:43 -0500
commitec1e96e4c48da32235ce501864746ccfd86445f4 (patch)
tree5d3b11da7fde52c6065d170ff13ba0dda7f3eb97 /src/main/docker/scripts/zookeeper-ready.sh
parent08b5ab8aaab4782cf0ef924010f457a2dfc383b0 (diff)
rename the files
Issue-ID: DMAAP-888 Change-Id: I0db4130505fe9c0611c4dbb6183c8a5c05f4a482 Signed-off-by: sunil unnava <sunil.unnava@att.com>
Diffstat (limited to 'src/main/docker/scripts/zookeeper-ready.sh')
-rw-r--r--src/main/docker/scripts/zookeeper-ready.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/src/main/docker/scripts/zookeeper-ready.sh b/src/main/docker/scripts/zookeeper-ready.sh
new file mode 100644
index 0000000..2a27252
--- /dev/null
+++ b/src/main/docker/scripts/zookeeper-ready.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+# Copyright 2017 The Kubernetes Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# zkOk.sh uses the ruok ZooKeeper four letter work to determine if the instance
+# is health. The $? variable will be set to 0 if server responds that it is
+# healthy, or 1 if the server fails to respond.
+
+OK=$(echo ruok | nc 127.0.0.1 $1)
+if [ "$OK" == "imok" ]; then
+ exit 0
+else
+ exit 1
+fi \ No newline at end of file